Skip to main content
GET
/
v0
/
component
/
merge-history
/
{id}
Get component merge history
curl --request GET \
  --url https://{hostname}.gable.ai/v0/component/merge-history/{id} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://{hostname}.gable.ai/v0/component/merge-history/{id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://{hostname}.gable.ai/v0/component/merge-history/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "componentId": "<string>",
  "entries": [
    {
      "versionId": "<string>",
      "baseVersionId": "<string>",
      "commitTimestamp": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "jobTrigger": "<string>",
      "isLatestVersion": true,
      "metrics": {
        "totalAdded": 123,
        "totalRemoved": 123,
        "totalModified": 123,
        "totalUnchanged": 123
      },
      "breakage": {
        "downstreamBreakingCount": 123,
        "affectedComponentCount": 123,
        "isBreaking": true
      },
      "commitSha": "<string>",
      "eventRepo": "<string>"
    }
  ],
  "componentName": "<string>"
}
{
"message": "<string>",
"id": 123,
"title": "<string>"
}
{
"message": "<string>",
"id": 123,
"title": "<string>"
}
{
"message": "<string>",
"id": 123,
"title": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string<uuid>
required

UUID of the component

Query Parameters

limit
integer
default:20

Maximum number of merged versions to return, newest-first.

Required range: 1 <= x <= 100

Response

Component merge history retrieved successfully

A component's MERGE_TO_MAIN version history with per-version diff metrics and downstream breakage indicators, ordered newest-first.

componentId
string
required

The ID of the component this history belongs to.

entries
object[]
required

Merge history entries ordered newest-first (latest merged version first).

componentName
string | null

The name of the component this history belongs to.